Bug 146434 - sysutils/fusefs-ntfs fails to build if devel/bonobo installed
Summary: sysutils/fusefs-ntfs fails to build if devel/bonobo installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-09 16:50 UTC by VoidChicken
Modified: 2011-02-03 11:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description VoidChicken 2010-05-09 16:50:00 UTC
fuse-ntfs has a header named efs.h in its source. However, bonobo installs a header by the same name in /usr/local/include. When fuse-ntfs compiles, the compiler includes /usr/local/include/efs.h instead of the one in the fuse-ntfs source, causing the compilation to fail.

Fix: 

Workaround: Rename /usr/local/include/efs.h, build and install sysutils/fuse-ntfs, then rename it back.
How-To-Repeat: cd /usr/ports/devel/bonobo && make install
cd /usr/ports/sysutils/fuse-ntfs && make
Comment 1 Edwin Groothuis freebsd_committer 2010-05-09 16:50:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Koop Mast freebsd_committer 2010-05-10 22:57:42 UTC
Responsible Changed
From-To: gnome->alepulver

Assign to maintainer. This is not a gnome problem. 
Fix port name in summary.
Comment 3 Alejandro Pulver freebsd_committer 2010-10-11 07:05:11 UTC
Responsible Changed
From-To: alepulver->freebsd-ports-bugs

Drop PR
Comment 4 dfilter service freebsd_committer 2011-02-03 10:56:23 UTC
arved       2011-02-03 10:56:19 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/fusefs-ntfs Makefile 
  Log:
  Add a CONFLICTS_BUILD for bonobo because of LOCALBASE/include/efs.h
  
  PR:             146434
  Submitted by:   Kevin Baxter
  Feature safe:   yes
  
  Revision  Changes    Path
  1.40      +1 -0      ports/sysutils/fusefs-ntfs/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Tilman Keskinoz freebsd_committer 2011-02-03 10:56:26 UTC
State Changed
From-To: open->closed

I have marked the port as conflicting with bonobo, 
thanks for reporting